Run of fresh-releases for starkiller

Try this locally package):

debcheckout starkiller
cd starkiller
new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
[2021-05-31 16:07:14] Running ['new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2021-05-31 16:07:14] Opening branch at https://gitlab.com/kalilinux/packages/starkiller.git/,branch=kali%2Fmaster
[2021-05-31 16:07:15] Cached branch URL https://janitor.kali.org/git/starkiller,branch=kali%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.kali.org/git/starkiller/": location is a repository.
[2021-05-31 16:07:15]   62% (230/370)
[2021-05-31 16:07:15] 70)
[2021-05-31 16:07:15]   1% (3/230)
Traceback (most recent call last):
  File "/usr/lib/python3.7/http/client.py", line 558, in _get_chunk_left
    chunk_left = self._read_next_chunk_size()
  File "/usr/lib/python3.7/http/client.py", line 525, in _read_next_chunk_size
    return int(line, 16)
ValueError: invalid literal for int() with base 16: b''

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/http/client.py", line 590, in _readinto_chunked
    chunk_left = self._get_chunk_left()
  File "/usr/lib/python3.7/http/client.py", line 560, in _get_chunk_left
    raise IncompleteRead(b'')
http.client.IncompleteRead: IncompleteRead(0 bytes read)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/janitor/pull_worker.py", line 232, in run_worker
    possible_transports=possible_transports,
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/debian-janitor/janitor/worker.py", line 751, in process_package
    [n for (f, n) in extra_resume_branches] if extra_resume_branches else None
  File "/opt/debian-janitor/silver-platter/silver_platter/workspace.py", line 135, in __enter__
    path=self._path,
  File "/opt/debian-janitor/silver-platter/silver_platter/utils.py", line 95, in create_temp_sprout
    raise e
  File "/opt/debian-janitor/silver-platter/silver_platter/utils.py", line 80, in create_temp_sprout
    stacked=use_stacking,
  File "/opt/debian-janitor/breezy/breezy/git/dir.py", line 182, in sprout
    mapping=source_branch.mapping)
  File "/opt/debian-janitor/breezy/breezy/git/interrepo.py", line 779, in fetch_objects
    determine_wants, graphwalker, f.write)
  File "/opt/debian-janitor/breezy/breezy/git/remote.py", line 460, in fetch_pack
    progress)
  File "/opt/debian-janitor/dulwich/dulwich/client.py", line 2080, in fetch_pack
    progress,
  File "/opt/debian-janitor/dulwich/dulwich/client.py", line 836, in _handle_upload_pack_tail
    SIDE_BAND_CHANNEL_PROGRESS: progress,
  File "/opt/debian-janitor/dulwich/dulwich/client.py", line 586, in _read_side_band64k_data
    for pkt in proto.read_pkt_seq():
  File "/opt/debian-janitor/dulwich/dulwich/protocol.py", line 290, in read_pkt_seq
    pkt = self.read_pkt_line()
  File "/opt/debian-janitor/dulwich/dulwich/protocol.py", line 240, in read_pkt_line
    pkt_contents = read(size - 4)
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1913, in read
    return self._actual.read(amt)
  File "/usr/lib/python3.7/http/client.py", line 461, in read
    n = self.readinto(b)
  File "/usr/lib/python3.7/http/client.py", line 495, in readinto
    return self._readinto_chunked(b)
  File "/usr/lib/python3.7/http/client.py", line 606, in _readinto_chunked
    raise IncompleteRead(bytes(b[0:total_bytes]))
http.client.IncompleteRead: IncompleteRead(6828 bytes read)

Full worker log